Update server configuration
curl --request PUT \
--url https://mcp.runalloy.com/api/servers/{serverId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"restrictions": {
"connectors": {
"allowedIds": [
"<string>"
],
"blockedIds": [
"<string>"
]
},
"actions": {
"allowedActions": [
"<string>"
],
"blockedActions": [
"<string>"
]
},
"users": {
"allowedIds": [
"<string>"
],
"blockedIds": [
"<string>"
]
}
}
}
'import requests
url = "https://mcp.runalloy.com/api/servers/{serverId}"
payload = {
"name": "<string>",
"description": "<string>",
"restrictions": {
"connectors": {
"allowedIds": ["<string>"],
"blockedIds": ["<string>"]
},
"actions": {
"allowedActions": ["<string>"],
"blockedActions": ["<string>"]
},
"users": {
"allowedIds": ["<string>"],
"blockedIds": ["<string>"]
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
restrictions: {
connectors: {allowedIds: ['<string>'], blockedIds: ['<string>']},
actions: {allowedActions: ['<string>'], blockedActions: ['<string>']},
users: {allowedIds: ['<string>'], blockedIds: ['<string>']}
}
})
};
fetch('https://mcp.runalloy.com/api/servers/{serverId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serverId": "<string>",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"accessUrl": "<string>",
"restrictions": {
"connectors": {
"allowedIds": [
"<string>"
],
"blockedIds": [
"<string>"
]
},
"actions": {
"allowedActions": [
"<string>"
],
"blockedActions": [
"<string>"
]
},
"users": {
"allowedIds": [
"<string>"
],
"blockedIds": [
"<string>"
]
}
},
"hasRestrictions": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Server Management
Update server configuration
Updates server name, description, instructions, or restrictions
PUT
/
api
/
servers
/
{serverId}
Update server configuration
Authorizations
Use either an Alloy API key or JWT token
Headers
User ID (optional with API key)
Path Parameters
Server ID
Body
application/json
Response
Server updated successfully
Unique server identifier
Server name
Server description
Base URL for API-authenticated access
Self-sufficient URL with embedded token
Show child attributes
Show child attributes
Whether server has active restrictions
⌘I

